import java.io.*;
import java.util.*;

public class cakecut_aa_tc {
	public static void main(String[] args) {
		new cakecut_aa_tc().run();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;

	public void run() {
		Locale.setDefault(Locale.US);
		try {
			br = new BufferedReader(new FileReader(FNAME + ".in"));
			out = new PrintWriter(FNAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(566);
		}
	}

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	void myAssert(boolean u, String message) {
		if (!u) {
			throw new Error("Assertion failed!!! " + message);
		}
	}

	int inBounds(int x, int l, int r, String name) {
		myAssert(l <= x && x <= r, name + " is not in bounds: " + x
				+ " not in [" + l + ", " + r + "]");
		return x;
	}

	String FNAME = "cakecut";

	int BOUND = (int) 1e3;

	private void solve() throws IOException {
		long time = System.currentTimeMillis();
		int n = inBounds(nextInt(), 1, 100000, "n");
		long[] x = new long[n];
		long[] y = new long[n];
		for (int i = 0; i < y.length; i++) {
			x[i] = inBounds(nextInt(), -BOUND, BOUND, "x_" + (i + 1));
			y[i] = inBounds(nextInt(), -BOUND, BOUND, "y_" + (i + 1));
		}
		long s = 0;
		for (int i = 0; i < x.length; i++) {
			s += x[i] * y[(i + 1) % n] - y[i] * x[(i + 1) % n];
		}
		s = Math.abs(s);
		long q = s;
		int ans1 = 0;
		int ans2 = 0;
		all: for (int i = 0; i < x.length; i++) {
			for (int j = i + 1; j < y.length; j++) {
				if (System.currentTimeMillis() - time > 1900) {
					break all;
				}
				long s1 = 0;
				for (int k = i; k + 1 <= j; k++) {
					s1 += x[k] * y[k + 1];
				}
				for (int k = i + 1; k <= j; k++) {
					s1 -= x[k] * y[k - 1];
				}
				s1 += x[j] * y[i] - x[i] * y[j];
				s1 = Math.abs(s1);
				long sb = Math.max(s1, s - s1);
				if (sb < q) {
					q = sb;
					ans1 = i;
					ans2 = j;
				}
			}
		}
		out.println((ans1 + 1) + " " + (ans2 + 1));
	}
}
